# -*-coding: utf-8
from django.shortcuts import render, get_object_or_404, redirect

from .models import Item
from .forms import ItemForm

def home(request):
    """Home page view."""
    ctx = {
        'nom': u'toto \_o<script>alert("kkéé")</script>',
        'items': Item.objects.all()
    }
    return render(request, 'home.html', ctx)


def show_item(request, item_id):
    """View that displays a single item."""
    item_id = int(item_id)
    item = get_object_or_404(Item, id=item_id)
    ctx = {"item": item}
    return render(request, 'show_item.html', ctx)


def edit_item(request, item_id):
    """View to edit an item."""
    item_id = int(item_id)
    item = get_object_or_404(Item, id=item_id)
    if request.method == "POST":
        form = ItemForm(request.POST, instance=item)
        if form.is_valid():
            # save the modification in the database
            form.save()
            # redirect using the named view
            return redirect('show_item', item.id)
    else:
        form = ItemForm(instance=item)
    ctx = {
        "item": item,
        "form": form,
    }
    return render(request, 'edit_item.html', ctx)

